headless lms

Redirect to a file used in a lesson

GET /api/member/activities/{activityId}/assets/{assetId}. Redirect to a file used in a lesson. Headless LMS Files API reference.

GET
/api/member/activities/{activityId}/assets/{assetId}

Served when the student can open the course, the course and the lesson are published, and the lesson lists the file. Staff may fetch any file a lesson lists. Use the URL as an img, video or audio src.

Path Parameters

activityId*string
assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/activities/string/assets/string"
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}